package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.MajorProductionSimpleDTO;
import com.dayou.entity.FinanceInvoice;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.FinanceInvoiceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 财务开票 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface FinanceInvoiceMapper extends CustomBaseMapper<FinanceInvoice> {

    Page<FinanceInvoiceVo> getPage(Page page, @Param("vo") FinanceInvoice financeInvoice, @Param("keyword") String keyword);

    /**
     * 开票信息导出
     * @param financeInvoice 查询条件
     * @param keyword 关键
     * @return List<FinanceInvoiceVo>
     */
    List<FinanceInvoiceVo> exportPage(@Param("vo") FinanceInvoice financeInvoice, @Param("keyword") String keyword);

    List<FinanceInvoiceVo> getInvoiceAmountInfo(@Param("dto") MajorProductionSimpleDTO simpleDTO);

    List<FinanceInvoiceVo> getInvoiceAmountInfoEmptyProduction(@Param("dto") MajorProductionSimpleDTO simpleDTO);

    /**
     * 根据收款信息获取发票号
     * @param orderFundId 订单收款信息
     * @param productionFundId 产品收款信息
     * @return String
     */
    String getInvoiceNoByFundId(@Param("orderFundId") Long orderFundId, @Param("productionFundId") Long productionFundId);

    List<FinanceInvoice> getList(@Param("orderFundId") Long id, @Param("productionFundId") Long productionFundId);
}
