package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 业务产品额外加减分(如疑难项目、总经理、部门综合加减分等)
 * </p>
 *
 * @author GouGengquan
 * @since 2025-05-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务产品额外加减分(如疑难项目、总经理、部门综合加减分等)")
public class BusinessProductionBonusPoints extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 加减分类型(疑难项目\总经理\部门综合)
     */
    @ImportCell
    @ExportCell(columnName = "加减分类型(疑难项目、总经理、部门综合)")
    private String type;

    /**
     * 加减的分数
     */
    @ImportCell
    @ExportCell(columnName = "加减的分数")
    private Integer score;

    /**
     * 加减分原因
     */
    @ImportCell
    @ExportCell(columnName = "加减分原因")
    private String reason;

    /**
     * 操作人id
     */
    private Long operatorId;


}
