package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class MajorLedgerVO {

    private Long id;

    /**
     * 项目流水号
     */
    @Excel(name = "项目流水号")
    private String orderId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String reportNo;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 项目部名称
     */
    @Excel(name = "项目部名称")
    private String departmentName;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源(客户子级名称)
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 客户经理名
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 项目参与人
     */
    @Excel(name = "项目参与人")
    private String members;

    /**
     * 产权人
     */
    @Excel(name = "产权人")
    private String owner;

    /**
     * 委托方名称
     */
    @Excel(name = "委托方名称")
    private String bailor;

    /**
     * 委托方电话
     */
    @Excel(name = "委托方电话")
    private String bailorContactTel;

    /**
     * 委托方地址
     */
    @Excel(name = "委托方地址")
    private String bailorAddress;

    /**
     * 估价目的
     */
    @Excel(name = "估价目的")
    private String evaluateAim;

    /**
     * 价值时点
     */
    @Excel(name = "价值时点")
    private LocalDate valueTiming;

    /**
     * 估价对象地址
     */
    @Excel(name = "估价对象地址")
    private String located;

    /**
     * 用途
     */
    @Excel(name = "用途")
    private String landUse;

    /**
     * 建筑面积
     */
    @Excel(name = "建筑面积(㎡)")
    private String buildAcreage;

    /**
     * 土地面积
     */
    @Excel(name = "土地面积(㎡)")
    private String landAcreage;

    /**
     * 实勘时间
     */
    @Excel(name = "实勘时间")
    private String reconnaissanceDate;

    /**
     * 评估单价
     */
    @Excel(name = "单价(元/㎡)")
    private BigDecimal evaluatePrice;

    /**
     * 评估总价
     */
    @Excel(name = "评估总价(万元)")
    private BigDecimal evaluateAmount;

    /**
     * 评估收入(产品实收款)
     */
    @Excel(name = "评估收入(万元)")
    private BigDecimal productionRealAmount;

    /**
     * 出库时间
     */
    @Excel(name = "出库时间")
    private LocalDate repertoryOutTime;

    /**
     * 第一报告人
     */
    @Excel(name = "第一报告人")
    private String firstReporter;

    /**
     * 第二报告人
     */
    @Excel(name = "第二报告人")
    private String secReporter;

    /**
     * 意见书二审人
     */
    @Excel(name = "意见书二审人")
    private String secStatementChecker;

    /**
     * 意见书三审人
     */
    @Excel(name = "意见书三审人")
    private String thirdStatementChecker;

    /**
     * 报告二审人
     */
    @Excel(name = "报告二审人")
    private String secReportChecker;

    /**
     * 报告三审人
     */
    @Excel(name = "报告三审人")
    private String thirdReportReChecker;

    /**
     * 特殊情况说明
     */
    @Excel(name = "特殊情况说明")
    private String comment;



}
