package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import com.dayou.entity.PaymentCollection;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/11
 * created with IntelliJ IDEA.
 */
@Data
public class PaymentCollectionVO extends PaymentCollection {

    @Excel(name = "项目编号")
    private String businessNo;

    @Excel(name = "项目名称")
    private String itemName;

    @Excel(name = "项目类型")
    private String cateName;

    @Excel(name = "市场部")
    private String marketDepartment;

    @Excel(name = "评估部")
    private String evaluateDepartment;

    @Excel(name = "客户经理")
    private String clientManager;

    @Excel(name = "负责人")
    private String skiller;

    @Excel(name = "参与人")
    private String joiner;

    @Excel(name = "到账时间", dateFormat = "yyyy-MM-dd")
    private Date payDatetime;

    /**
     * 回款日期
     */
    @Excel(name = "认领时间")
    private LocalDate paymentDate;

    /**
     * 认领人
     */
    @Excel(name = "认领人")
    private String claimUser;

    /**
     * 回款金额
     */
    @Excel(name = "认领金额")
    private Double claimAmount;

    @Excel(name = "客户名称")
    private String clientName;

    @Excel(name = "业务来源")
    private String businessSource;

    @Excel(name = "委托单位")
    private String clientUnit;



    /**
     * 回款名称
     */
    private String name;

    @Excel(name = "付款方")
    private String payer;

    private Set<Long> userIds;

    private Integer year;

    private Integer month;

    private Boolean isCurYear = false;

    private Boolean isCurMonth = false;

    private LocalDate lastMonth23;

    /**
     * 筛选开始时间
     */
    private Date startDate;

    /**
     * 筛选结束时间
     */
    private Date endDate;

}
