package com.dayou.service;
import com.dayou.entity.BusinessProductionBonusPoints;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 业务产品额外加减分(如疑难项目、总经理、部门综合加减分等) 服务类
 * </p>
 *
 * @author wucl
 * @since 2025-05-28
 */
public interface IBusinessProductionBonusPointsService extends IService<BusinessProductionBonusPoints> {

        Page<BusinessProductionBonusPoints> selectPage(Page page,BusinessProductionBonusPoints businessProductionBonusPoints);

        BusinessProductionBonusPoints detail(Long id);

        Boolean add(BusinessProductionBonusPoints businessProductionBonusPoints);

        Boolean update(BusinessProductionBonusPoints businessProductionBonusPoints);

        Boolean delete(Long id);

        /**
         * 根据产品id与业务类型查询额外加减分信息集合
         * @param productionId 产品id
         * @param businessType 业务类型
         * @return List<BusinessProductionBonusPoints>
         */
        List<BusinessProductionBonusPoints> getList(Long productionId, String businessType);

}
